Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation.raw
Class RawAggregateFactory

    java.lang.Object
      rice.p2p.aggregation.raw.RawAggregateFactory

All Implemented Interfaces:
  AggregateFactory

    public class RawAggregateFactory

extends java.lang.Object
implements AggregateFactory

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Constructor Summary
`RawAggregateFactory()`

Method Summary
`Aggregate` | `buildAggregate(GCPastContent[] components, Id[] pointers)` DESCRIBE THE METHOD
`Aggregate` | `buildAggregate(RawGCPastContent[] components, Id[] pointers)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawAggregateFactory

    public RawAggregateFactory()

Method Detail

### buildAggregate

    public Aggregate buildAggregate(GCPastContent[] components,
                                    Id[] pointers)

  DESCRIBE THE METHOD

  Specified by:
    `buildAggregate` in interface `AggregateFactory`
  Parameters:
    `components` - DESCRIBE THE PARAMETER
    `pointers` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### buildAggregate

    public Aggregate buildAggregate(RawGCPastContent[] components,
                                    Id[] pointers)

  DESCRIBE THE METHOD

  Specified by:
    `buildAggregate` in interface `AggregateFactory`
  Parameters:
    `components` - DESCRIBE THE PARAMETER
    `pointers` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.